• Как решить ошибку sqlite Incorrect number of bindings supplied?

    @Forraz Автор вопроса
    Хм, хорошо, а как поместить всю строку в одну ячейку кортежа?
    Написано
  • Как решить ошибку sqlite Incorrect number of bindings supplied?

    @Forraz Автор вопроса
    Александр Нестеров, Я уже понял, что бд принимает только кортежы, но в том то и проблема, что я не могу перевести класс в кортеж, поэтому использовал 2 метода того класса и соеденил их в одну строку. Но почему строка не переводится в кортеж?
    Написано
  • Как решить ошибку sqlite Incorrect number of bindings supplied?

    @Forraz Автор вопроса
    Александр Нестеров, Я попробовал изменить тип переменной вручную, но тогда оно не переводиться в кортеж и получаю ошибку, как если бы я просто передал строку в бд
    username = str(user.name) + "#" + str(user.discriminator)
       cur.execute(f"INSERT INTO {ds_name} (user) VALUES(?)",  username, )


    Ignoring exception in command warn:
    Traceback (most recent call last):
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 172, in wrapped
        ret = await coro(*args, **kwargs)
      File "<string>", line 47, in warn
    sqlite3.ProgrammingError: Incorrect number of bindings supplied. The current statement uses 1, and there are 11 supplied.
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/bot_base.py", line 578, in invoke
        await ctx.command.invoke(ctx)
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 914, in invoke
        await injected(*ctx.args, **ctx.kwargs)
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 181, in wrapped
        raise CommandInvokeError(exc) from exc
    disnake.ext.commands.errors.CommandInvokeError: Command raised an exception: ProgrammingError: Incorrect number of bindings supplied. The current statement uses 1, and there are 11 supplied.


    Фулл функция, если нужно:
    @bot.command()
    async def warn(ctx, user : disnake.User, *, reason = None):
       ds_name = "ds_" +  str(ctx.guild.id) + "_warnings"
       print(ds_name)
       cur.execute(f"""CREATE TABLE IF NOT EXISTS {ds_name}(
       user_num INTEGER PRIMARY KEY AUTOINCREMENT,
       user TEXT,
       wcount INTEGER,
       w1_id TEXT,
       w1_reason TEXT,
       w2_id TEXT,
       w2_reason TEXT,
       w3_id TEXT,
       w3_reason TEXT);
       """)
       conn.commit()
       
       username = str(user.name) + "#" + str(user.discriminator)
       cur.execute(f"INSERT INTO {ds_name} (user) VALUES(?)",  username, )
       conn.commit()
    Написано
  • Как решить ошибку sqlite Incorrect number of bindings supplied?

    @Forraz Автор вопроса
    cur.execute(f"INSERT INTO {ds_name} (user) VALUES(?)",  (user, ))


    Ignoring exception in command warn:
    Traceback (most recent call last):
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 172, in wrapped
        ret = await coro(*args, **kwargs)
      File "<string>", line 45, in warn
    sqlite3.InterfaceError: Error binding parameter 0 - probably unsupported type.
    
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/bot_base.py", line 578, in invoke
        await ctx.command.invoke(ctx)
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 914, in invoke
        await injected(*ctx.args, **ctx.kwargs)
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 181, in wrapped
        raise CommandInvokeError(exc) from exc
    disnake.ext.commands.errors.CommandInvokeError: Command raised an exception: InterfaceError: Error binding parameter 0 - probably unsupported type.
    Написано
  • Как решить ошибку sqlite Incorrect number of bindings supplied?

    @Forraz Автор вопроса
    Не принимает кортеж
    Написано
  • Как решить ошибку в sqlite3. Operation error: near ( syntax error?

    @Forraz Автор вопроса
    Slava Rozhnev, Oy, vi iz anglii? Nu ladno
    Написано
  • Как решить ошибку в sqlite3. Operation error: near ( syntax error?

    @Forraz Автор вопроса
    Возникает другая ошибка:
    Ignoring exception in command warn:
    Traceback (most recent call last):
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 172, in wrapped
        ret = await coro(*args, **kwargs)
      File "<string>", line 45, in warn
    sqlite3.ProgrammingError: Incorrect number of bindings supplied. The current statement uses 1, and there are 2 supplied.
    The above exception was the direct cause of the following exception:
    
    Traceback (most recent call last):
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/bot_base.py", line 578, in invoke
        await ctx.command.invoke(ctx)
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 914, in invoke
        await injected(*ctx.args, **ctx.kwargs)
      File "/data/user/0/ru.iiec.pydroid3/files/arm-linux-androideabi/lib/python3.9/site-packages/disnake/ext/commands/core.py", line 181, in wrapped
        raise CommandInvokeError(exc) from exc
    disnake.ext.commands.errors.CommandInvokeError: Command raised an exception: ProgrammingError: Incorrect number of bindings supplied. The current statement uses 1, and there are 2 supplied.
    Написано